Get Glossary Term

Retrieves the specified term.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

GET /api/sonar/glossary/terms/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     "https://HOSTNAME/api/sonar/glossary/terms/:guid"
Request Parameters
KeyRequiredTypeDescriptionNotes
guidYStringTerm GUID36-character GUID (e.g., 4ba40c97-b31b-450f-8af8-ceb1b94f5514)

Success Response

HTTP status code 200 response

{
  "term": {
    "guid": "a07e6bd4-5ca2-11f0-ad90-acde48001122",
    "locale": "ko",
    "term": "Timestamp",
    "type": "DATE",
    "code": "_time",
    "category": "field",
    "description": "Log creation timestamp",
    "created": "2025-07-01 00:31:13+0900",
    "updated": "2025-07-01 00:31:13+0900"
  }
}
Response Fields
FieldTypeDescription
termObjectTerm information
term.guidStringTerm GUID
term.localeStringLanguage. One of ko(Korean), en(English), zh(Chinese)
term.termStringTerm
term.typeStringData type (One of DATE, STRING, IP, PORT, SHORT, INT, LONG, COUNTRY, FLOAT, DOUBLE, BOOL, MD5, SHA1, URL, SHA256, DOMAIN)
term.codeStringTerm identification code
term.categoryStringTerm usage target category (One of table, field)
term.descriptionStringTerm description
term.createdStringCreation date/time (yyyy-MM-dd HH:mm:ssZ format)
term.updatedStringModification date/time (yyyy-MM-dd HH:mm:ssZ format)

Error Responses

guid: term not found

HTTP status code 200 response

{
  "term": null
}
guid: invalid GUID format

HTTP status code 400 response

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}